Inicio / Alerta Temprana / Avisos Sci / Múltiples vulnerabilidades en productos PILZ

Múltiples vulnerabilidades en productos PILZ

Fecha de publicación: 
21/09/2021
Importancia: 
4 - Alta
Recursos afectados: 
  • Módulo PSSu para el sistema E/A descentralizado, todas las versiones;
  • módulo PSSu para PSS 4000, versiones anteriores a 1.22.2;
  • PNOZ m B1, versiones anteriores a 1.8;
  • PNOZ m ES ETH, versiones anteriores a 1.2;
  • PNOZ mmc1p ETH, todas las versiones;
  • Base-Device PNOZ mxp ETH (PNOZmulti Classic), todas las versiones.
Descripción: 

La compañía Forescout Technologies, coordinada por el CERT@VDE, ha identificado múltiples vulnerabilidades en distintos productos de PILZ que han reportado al propio fabricante, y que podrían permitir a un atacante remoto causar una denegación de servicio (DoS) o secuestrar una conexión TCP.

Solución: 
  • Módulo PSSu para PSS 4000: actualizar el firmware a la versión 1.22.2;
  • para el resto se aconseja utilizar firewalls o dispositivos de seguridad de red similares para evitar la comunicación de red no autorizada con los productos afectados.
Detalle: 
  • El código que analiza los paquetes ICMP se basa en un valor no comprobado del tamaño del payload de la cabecera IP para calcular el checksum de ICMP. Cuando dicho tamaño está configurado para ser menor que el tamaño de la cabecera IP, la función de cálculo del checksum de ICMP podría leer fuera de los límites. Se ha asignado el identificador CVE-2020-35683 para esta vulnerabilidad.
  • El código que analiza los paquetes TCP se basa en un valor no comprobado del tamaño del payload de la cabecera IP para calcular la longitud del payload de TCP dentro de la función de cálculo del checksum de TCP. Cuando el tamaño del payload de IP está configurado para ser menor que el tamaño de la cabecera IP, la función de cálculo del checksum de TCP podría leer fuera de los límites. Se ha asignado el identificador CVE-2020-35684 para esta vulnerabilidad.
  • La función de procesamiento de datos urgentes out of band TCP invocaría una panic function si el puntero al final de los datos urgentes out of band apuntase fuera de los datos del segmento TCP. Si la panic function no tiene una invocación de trampa eliminada, resultará en un DoS, provocando un bucle continuo o un reinicio del dispositivo. Se ha asignado el identificador CVE-2021-31400 para esta vulnerabilidad.
  • El código de procesamiento de la cabecera TCP no sanea la longitud de IP (cabecera + datos). Con un paquete IP manipulado se produciría un desbordamiento de enteros cada vez que la longitud de los datos IP se calculase restando la longitud de la cabecera de la longitud del paquete IP total. Se ha asignado el identificador CVE-2021-31401 para esta vulnerabilidad.
  • Los ISN (Initial Sequence Number) de TCP se generan de forma predecible, lo que podría utilizarse para secuestrar (hijacking) o suplantar (spoofing) una conexión TCP. Se ha asignado el identificador CVE-2020-35685 para esta vulnerabilidad.

Encuesta valoración